#ifndef C_C_BINARYOCTET_H
#define C_C_BINARYOCTET_H

const int bitsPerOctet = 8;

struct BinaryOctet {
    bool evenParity;
    char bitsAsDigits[bitsPerOctet]{};


    BinaryOctet(int x = 0);
    BinaryOctet(const BinaryOctet&) = default;
    const BinaryOctet operator--(int);
    const BinaryOctet operator++(int);
    bool operator==(const BinaryOctet &a);
    bool operator!=(BinaryOctet &a);
    bool operator>=(BinaryOctet &a);
    bool operator<(BinaryOctet &a);
    BinaryOctet operator-(BinaryOctet a);
    BinaryOctet operator+(BinaryOctet a);
    BinaryOctet operator/(BinaryOctet &a);
};

#endif
