#ifndef C_C_BANK_H
#define C_C_BANK_H


#include "BankAccount.h"

class Bank {
private:
    std::string name;
    std::set<BankAccount *> accounts;
    std::set<Money *> money;
public:
    explicit Bank(std::string name);
    void addAccount(BankAccount * account);
    void addMoney(Money * money);
    std::set<BankAccount *> getAccounts();
    std::string getName();
};


#endif
