#ifndef C_C_BANKACCOUNTS_H
#define C_C_BANKACCOUNTS_H

#include <unordered_map>

#include "Money.h"
#include "Cash.h"
#include "Person.h"

class BankAccount {
private:
    std::string name;
    Person * owner;
    Money money;
public:
    explicit BankAccount(Person * owner, std::string name);
    BankAccount* operator+(Money * money);
    Money* operator-(int value);
    bool operator<(BankAccount * bankAccount);
    std::string getName();
    Person * getOwner();
    Money getMoney();
};


#endif
