#include <utility>

#include "Bill.h"

using namespace banking;

Bill::Bill(int value, Currency currency, std::string &serial) : Cash(value, currency), serial(std::move(serial)){

}

Bill::Bill(Bill *bill) : Cash(bill->getValue(), bill->getCurrency()), serial(std::move(bill->getSerial())) {

}

int Bill::getValue() {
    return Money::getValue() * 10;
}

std::string Bill::getSerial() {
    return serial;
}
