#ifndef C_C_BILL_H
#define C_C_BILL_H


#include "Cash.h"

/**
 * @namespace banking
 * \ingroup banking
 */
namespace banking {

    /**
     * @author Johannes Theiner<kontakt@joethei.xyz>
     * @version 1.0
     */
    class Bill : public Cash{
    private:
        std::string serial;
    public:
        explicit Bill(int value, Currency currency, std::string &serial);
        explicit Bill(Bill *bill);
        std::string getSerial();
        int getValue() override;
    };
}




#endif