#ifndef C_C_HEAPOBJECT_H
#define C_C_HEAPOBJECT_H

#include <cstdlib>


class HeapObject {
public:
    void *operator new(size_t size);

    HeapObject();

    virtual ~HeapObject();

    static bool assertionsHold();

protected:
private:
    static int ctorCount;
    static int dtorCount;
    static int newCount;

    //static void remove(HeapObject *);
    HeapObject(const HeapObject &) = delete;

    HeapObject &operator=(const HeapObject &) = delete;
};


#endif
