#include <utility>
#include <set>

#include "Bank.h"

Bank::Bank(std::string name) : name(std::move(name)) {

}

void Bank::addAccount(BankAccount * account) {
    accounts.insert(account);
}

std::set<BankAccount *> Bank::getAccounts() {
    return accounts;
}

std::string Bank::getName() {
    return name;
}

void Bank::addMoney(Money * money) {
    this->money.insert(money);
}

