#include "BankAccount.h"
#include "CashFactory.h"

BankAccount::BankAccount(Person * owner, std::string name) : name(std::move(name)) {
this->owner = owner;
}

BankAccount * BankAccount::operator+(Money * money) {

    BankAccount::money = new Money(money->getValue() + getMoney().getValue());
    
    return this;
}

Money * BankAccount::operator-(int value) {
    auto * cashFactory = new CashFactory();

    return cashFactory->printCoin(value, CurrencyValue::USD);
}

bool BankAccount::operator<(BankAccount * bankAccount) {
    return money.getValue() < bankAccount->money.getValue();
}

std::string BankAccount::getName() {
    return name;
}

Money BankAccount::getMoney() {
    return money;
}

Person *BankAccount::getOwner() {
    return owner;
}
