#include <utility>

#include "Bill.h"

Bill::Bill(int value, Currency currency, std::string serial) : Cash(value, currency), serial(std::move(serial)){

}

int Bill::getValue() {
    return Money::getValue() * 10;
}

std::string Bill::getSerial() {
    return serial;
}
