#ifndef C_C_CASHFACTORY_H
#define C_C_CASHFACTORY_H

#include <string>
#include <vector>
#include "Bill.h"
#include "Coin.h"

class CashFactory {
private:
    std::string randomString(size_t length);
public:
    Bill * printBill(int value, Currency currency);
    Coin * printCoin(int value, Currency currency);
};

#endif