#ifndef C_C_MONEY_H
#define C_C_MONEY_H

#include "Currency.h"

class Money {
private:
    int value;
    Currency currency;
public:
    explicit Money(int value = 0, Currency currency = CurrencyValue::USD);
    Money& operator=(Money money);
    Money& operator=(Money * money);
    Money operator+(Money &a);
    Money operator-(Money &a);
    const Money operator++(int);
    const Money operator--(int);

    virtual int getValue();
    Currency getCurrency();
};

#endif
