#ifndef C_C_CURRENCY_H
#define C_C_CURRENCY_H

#include <vector>

/**
 * @namespace banking
 * \ingroup banking
 */
namespace banking {

    enum class CurrencyValue {
        USD=100,
        EUR=80,
        GPD=75,
    };


    /**
     * @author Johannes Theiner<kontakt@joethei.xyz>
     * @version 1.0
     */
    class Currency {
    private:
        CurrencyValue value;
    public:
        Currency(CurrencyValue value);
        bool operator==(Currency &currency);
        Currency& operator=(Currency currency);
        CurrencyValue getValue();

    };
}



#endif