#ifndef C_C_PERSON_H
#define C_C_PERSON_H


#include <string>
#include <memory>
#include "Money.h"

/**
 * @namespace banking
 * \ingroup banking
 */
namespace banking {

    /**
     * @author Johannes Theiner<kontakt@joethei.xyz>
     * @version 1.0
     */
    class Person {
    private:
        std::string name;
        std::vector<std::shared_ptr<Money>> money;
    public:
        explicit Person(std::string name);

        explicit Person(Person *person);

        std::string getName();
    };
}


#endif
